package com.sobot.utils;

import android.content.Context;

/**
 * @Description: 全局上下文
 * @Author: znw
 * @Date: 2021/7/19 下午2:17
 * @Version: 1.0
 */
public class SobotGlobalContext {
    private Context mApplicationContext;

    private SobotGlobalContext() {
    }

    public static SobotGlobalContext getInstance(Context context) {
        if (SobotGlobalContext.GlobalContext.globalContext.mApplicationContext == null && context != null) {
            SobotGlobalContext.GlobalContext.globalContext.mApplicationContext = context;
        }
        return SobotGlobalContext.GlobalContext.globalContext;
    }

    public static Context getAppContext(Context context) {
        if (SobotGlobalContext.GlobalContext.globalContext.mApplicationContext == null && context != null) {
            SobotGlobalContext.GlobalContext.globalContext.mApplicationContext = context.getApplicationContext();
        }
        return SobotGlobalContext.GlobalContext.globalContext.mApplicationContext;
    }

    public static Context getAppContext() {
        return SobotGlobalContext.GlobalContext.globalContext.mApplicationContext;
    }

    private static class GlobalContext {
        private static final SobotGlobalContext globalContext = new SobotGlobalContext();

        private GlobalContext() {
        }
    }
}